import { modelOptions, prop } from '@typegoose/typegoose';
import { Account } from '.';

class X509 {
  @prop({ required: true })
  cert: string;

  @prop({ required: true })
  key: string;
}

@modelOptions({ schemaOptions: { collection: 'Domain' } })
export default class Domain {
  @prop({ type: () => Account, required: true })
  account: Account;

  @prop({ required: true, unique: true })
  domain: string;

  @prop({ required: true })
  port: number;

  @prop({ required: true, type: () => X509 })
  x509: X509;

  @prop({ required: true })
  enabled: boolean;
}
