import { modelOptions, prop } from '@typegoose/typegoose';

class ResourceLimits {
  @prop({ required: true })
  ram: number;

  @prop({ required: true })
  storage: number;
}

@modelOptions({
  schemaOptions: {
    _id: false,
    collection: 'Tier',
  },
})
export default class Tier {
  @prop({ required: true, unique: true })
  id: number;

  @prop({ required: true, type: () => ResourceLimits })
  resourceLimits: ResourceLimits;
}
